aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-test-warnings/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-11-20 09:09:17 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-11-20 10:27:33 +0000
commite8b6cb4b8cafe0cf697aab6651f0254029244a4b (patch)
tree251a8ff1e3f20dc37efd2263612126fdd9a72db4 /testing/perl-test-warnings/APKBUILD
parentec8ac62eec56b2a76a2e56c991e57107932e53ef (diff)
downloadaports-e8b6cb4b8cafe0cf697aab6651f0254029244a4b.tar.gz
aports-e8b6cb4b8cafe0cf697aab6651f0254029244a4b.tar.bz2
aports-e8b6cb4b8cafe0cf697aab6651f0254029244a4b.tar.xz
testing/perl-test-warnings: new aport
Perl module for Test-Warnings http://search.cpan.org/dist/Test-Warnings/
Diffstat (limited to 'testing/perl-test-warnings/APKBUILD')
-rw-r--r--testing/perl-test-warnings/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/perl-test-warnings/APKBUILD b/testing/perl-test-warnings/APKBUILD
new file mode 100644
index 0000000000..93846d35f7
--- /dev/null
+++ b/testing/perl-test-warnings/APKBUILD
@@ -0,0 +1,42 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-test-warnings
+_pkgreal=Test-Warnings
+pkgver=0.012
+pkgrel=0
+pkgdesc="Perl module for Test-Warnings"
+url="http://search.cpan.org/dist/Test-Warnings/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-module-build-tiny"
+cpanmakedepends="perl-test-tester perl-test-deep"
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ if [ -e Build.PL ]; then
+ perl Build.PL --installdirs=vendor || return 1
+ else
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ fi
+}
+
+build() {
+ cd "$_builddir"
+ ./Build build && ./Build test
+}
+
+package() {
+ cd "$_builddir"
+ ./Build install --destdir="$pkgdir" --create_packlist=0 || return 1
+}
+
+md5sums="5da27c3b25461a5fbec5a7cb90b9803c Test-Warnings-0.012.tar.gz"
+sha256sums="0e942300a45ef6aa781b8b64f0c4cd9672442de2b36bf6a1fadee88ead00acc6 Test-Warnings-0.012.tar.gz"
+sha512sums="bf2c8864fba28aad7ccc9e26dfa3a7b5ba3f660b9fe6deafd32cfe32a94596312037cac559b2610c284d98e5091d934b1287ce012e82d2b63726553255f133b2 Test-Warnings-0.012.tar.gz"